Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.jini.lease
Interface LeaseRenewalService

public interface LeaseRenewalService

Interface to the lease renewal service. The interface is not a remote interface; each implementation of the renewal service exports proxy objects that implement the `LeaseRenewalService` interface that use an implementation-specific protocol to communicate with the actual remote server. All of the proxy methods obey normal RMI remote interface semantics. Two proxy objects are equal if they are proxies for the same renewal service. Every method invocation (on both a `LeaseRenewalService` and any `LeaseRenewalSet` it has created) is atomic with respect to other invocations.

See Also:
  `LeaseRenewalSet`

Method Summary
`LeaseRenewalSet` | `createLeaseRenewalSet(long leaseDuration)` Create a new `LeaseRenewalSet` that the client can populate with leases to be renewed.

Method Detail

### createLeaseRenewalSet

    public LeaseRenewalSet createLeaseRenewalSet(long leaseDuration)
                                          throws RemoteException

  Create a new `LeaseRenewalSet` that the client can populate with leases to be renewed. The initial duration of the lease granted on this set will be less than or equal to `leaseDuration`.

  Two calls to this method should never return objects that are equal.

  Parameters:
    `leaseDuration` - requested lease duration in milliseconds
  Returns:
    a new `LeaseRenewalSet` in the renewal service
  Throws:
    `IllegalArgumentException` - if `leaseDuration` is not positive, `Lease.ANY`, or `Lease.FOREVER`
    `RemoteException` - if a communication-related exception occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved